PUT restapi/personal/pages/{elementId}/v1

Update an existing page for a learning object.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
elementId

The learning object identifier associated with the page.

integer

Required

Body Parameters

The request model to update an existing page

Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Requests.UpdatePageRequest
NameDescriptionTypeAdditional information
Layout

The layout for the page, defining how content blocks should be arranged.

Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Enums.LayoutSchemaDto

None.

BlocksPlacement

Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Requests.UpdatePlacementRequest

None.

Request Formats

application/json, text/json

Sample:
{
  "layout": 0,
  "blocksPlacement": {
    "leftColumnContentBlockIds": [
      1,
      2
    ],
    "rightColumnContentBlockIds": [
      1,
      2
    ]
  }
}

application/xml, text/xml

Sample:
<UpdatePageRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Requests">
  <BlocksPlacement>
    <LeftColumnContentBlockIds xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:int>1</d3p1:int>
      <d3p1:int>2</d3p1:int>
    </LeftColumnContentBlockIds>
    <RightColumnContentBlockIds xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:int>1</d3p1:int>
      <d3p1:int>2</d3p1:int>
    </RightColumnContentBlockIds>
  </BlocksPlacement>
  <Layout>OneColumn</Layout>
</UpdatePageRequest>

application/x-www-form-urlencoded

Sample:
No sample available

Response Information

Resource Description

The updated page

System.Web.Http.IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.